/**
 * Ollama provider implementation
 */
import { LLMProvider } from '../provider.js';
import { GenerateOptions, LLMResponse, ProviderOptions } from '../types.js';
/**
 * Ollama-specific options
 */
export interface OllamaOptions extends ProviderOptions {
    baseUrl?: string;
}
/**
 * Ollama provider implementation
 */
export declare class OllamaProvider implements LLMProvider {
    name: string;
    provider: string;
    model: string;
    private baseUrl;
    constructor(model: string, options?: OllamaOptions);
    /**
     * Generate text using Ollama API
     */
    generateText(options: GenerateOptions): Promise<LLMResponse>;
    /**
     * Format messages for Ollama API
     */
    private formatMessages;
}
//# sourceMappingURL=ollama.d.ts.map